


xgettext(1)                                           xgettext(1)


NNAAMMEE
       xgettext - conditionally extract strings from C programs

SSYYNNOOPPSSIISS
       xxggeetttteexxtt  --dd  [  ccmmnnooppvvhhPP ] [ --oo_d_i_r_e_c_t_o_r_y_-_p_r_e_f_i_x ] [ --xx_e_x_-
       _c_l_u_d_e_-_l_i_s_t ] [ _f_i_l_e_n_a_m_e _._._.  ]
       xxggeetttteexxtt [ --aammooppvvhhPP ] [ --xx_e_x_c_l_u_d_e_-_l_i_s_t ] [ _f_i_l_e_n_a_m_e _._._.  ]

DDEESSCCRRIIPPTTIIOONN
       xxggeetttteexxtt is used to automate the creation of portable mes-
       sage files.  A portable message file  contains  copies  of
       "C" strings that are found in "C" source code in _f_i_l_e_n_a_m_e_.
       When the --dd  option  is  specified,  xxggeetttteexxtt  places  the
       extracted strings in the file _n_a_m_e..ppoo.  _n_a_m_e is either the
       domain specified in a ddggeetttteexxtt call,  or  mmeessssaaggeess..ppoo  for
       strings  extracted  from  ggeetttteexxtt and tteexxttddoommaaiinn calls. If
       the --dd flag is not  specified,  xxggeetttteexxtt  places  all  the
       strings  in mmeessssaaggeess..ppoo.  The portable message file can be
       used as input to the mmssggffmmtt(1) utility, which will produce
       a  binary  form  of  the  message file than can be used at
       application run-time.

OOPPTTIIOONNSS
       --aa        Extract ALL strings, not  just  those  found  in
                 ggeetttteexxtt, ddggeetttteexxtt, and tteexxttddoommaaiinn calls.

       --cc_f_l_a_g    Comments  beginning  with  _f_l_a_g  _f_i_l_e_n_a_m_e on the
                 first line of the  comment  are  added  to  file
                 _f_i_l_e_n_a_m_e as _# delimited comments.

       --dd        Produce  duplicates.  Does  not sort output when
                 writing the portable message file and  will  not
                 overwrite  existing output files.  Places output
                 from each domain specified in  a  ddggeetttteexxtt  call
                 into  a  separate file named for the domain, _i_e.
                 _n_a_m_e..ppoo

       --cc_f_l_a_g    Comments beginning with  _f_l_a_g  _f_i_l_e_n_a_m_e  on  the
                 first  line  of  the  comment  are added to file
                 _f_i_l_e_n_a_m_e as _# delimited comments.

       --mm_s_t_r_i_n_g  Causes xxggeetttteexxtt to fill in the  mmssggssttrr  line  of
                 the  portable  message files it produces.  xxggeett--
                 tteexxtt  uses  the   corresponding   msgid   string
                 extracted  from  the "C" file, appending _s_t_r_i_n_g.
                 Useful for debugging purposes.

       --nn        Add _# delimited line number comments  to  output
                 file  indicating  the  line number in the source
                 file where each extracted string is encountered.

       --oo_f_i_l_e_n_a_m_e
                 rename  the default output file from mmeessssaaggeess..ppoo
                 to _f_i_l_e_n_a_m_e.



                           14 Sep 1990                          1





xgettext(1)                                           xgettext(1)


       --pp_p_a_t_h_n_a_m_e
                 Specify the directory  where  the  output  files
                 will  be placed.  This option overrides the cur-
                 rent working directory.

       --xx_f_i_l_e_n_a_m_e
                 Specify a file that contains a list  of  strings
                 that  are not be extracted from the input files.
                 Each string to be excluded must appear on a line
                 by itself in the file _f_i_l_e_n_a_m_e_.

       --PP        include strings in pre-processor statements.

       --vv        Verbose mode.

       --hh        Print a help message on standard output.

FFIILLEESS
       mmeessssaaggeess..ppoo   is always created, but may be empty.

SSEEEE AALLSSOO
       mmssggffmmtt(1),, xxssttrr(1),, ggeetttteexxtt, ddggeetttteexxtt, tteexxttddoommaaiinn(3)..



































                           14 Sep 1990                          2


